package speiger.src.coreengine.rendering.guiOld.helper.box;

public interface IScreenBox
{
	public float getBaseScale();
	public float getBaseWidth();
	public float getBaseHeight();
	
	public default float getSquaredBaseWidth() {
		float value = getBaseWidth();
		return value * value;
	}
	
	public default float getSquaredBaseHeight() {
		float value = getBaseWidth();
		return value * value;
	}
}
